Skip to content

SymXClient⁠

Perform various operations for Symitar parameters.

Operations⁠

getSymXClientSelectFields⁠

POST

Execute the persistent ParameterService getSymXClientSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

SymXClientInstanceIdintegeroptional
SymXClientSymXClientNumberintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getSymXClientSelectFields
POST /nexum/627/persistent/parameter/getSymXClientSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "SymXClientInstanceId": 0,
  "SymXClientSymXClientNumber": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllSymXClientFields": true,
    "SymXClientFields": {
      "AcceptLoanThresholdPayment": true,
      "AcceptUnappliedPartialPmt": true,
      "AddonPastDueDays": true,
      "AdministrativePassword": true,
      "AdvFeeDescription": true,
      "AdvFeeGlCode": true,
      "AllowAllIrsContributions": true,
      "AllowHsaToNonHsaDistrib": true,
      "AllowPinFm": true,
      "AllowUserAuthentication": true,
      "AllowUserCredentials": true,
      "AllowUserFileAccess": true,
      "AvailBalHoldTypeExclList": true,
      "BillPayGlCode": true,
      "BillPaymentOverdrawOption": true,
      "BillPmtUsesSrcCodeB": true,
      "CardActivationTypeList": true,
      "CardBlockingTypeList": true,
      "CertificateTypeList": true,
      "ChargePartialCapFee": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateSymXClientByID⁠

POST

Execute the persistent ParameterService updateSymXClientByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

SymXClientInstanceIdintegeroptional
SymXClientSymXClientNumberintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateSymXClientByID
POST /nexum/627/persistent/parameter/updateSymXClientByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "SymXClientInstanceId": 0,
  "SymXClientSymXClientNumber": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SymXClientFields": {
    "AcceptLoanThresholdPayment": true,
    "AcceptUnappliedPartialPmt": true,
    "AddonPastDueDays": 0,
    "AdministrativePassword": "string",
    "AdvFeeDescription": "string",
    "AdvFeeGlCode": 0,
    "AllowAllIrsContributions": true,
    "AllowHsaToNonHsaDistrib": true,
    "AllowPinFm": true,
    "AllowUserAuthentication": true,
    "AllowUserCredentials": true,
    "AllowUserFileAccess": true,
    "AvailBalHoldTypeExclList": {
      "Bit": [
        0
      ]
    },
    "BillPayGlCode": 0,
    "BillPaymentOverdrawOption": 0,
    "BillPmtUsesSrcCodeB": true,
    "CardActivationTypeList": "string",
    "CardBlockingTypeList": "string",
    "CertificateTypeList": "string",
    "ChargePartialCapFee": true
  },
  "nxAttributes": {
    "customFields": {}
  }
}